For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet market bbo
        • GETGet market bbo including all orders including RPI (as seen by the UI)
        • GETFunding data history
        • GETList available markets
        • GETOHLCV for a symbol
        • GETList available markets summary
        • GETGet market orderbook
        • GETGet market impact price
        • GETGet market interactive orderbook
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceMarkets

Get market impact price

GET
https://api.testnet.paradex.trade/v1/orderbook/:market/impact-price
GET
/v1/orderbook/:market/impact-price
$curl -G https://api.testnet.paradex.trade/v1/orderbook/market/impact-price \
> -H "Authorization: <apiKey>" \
> -d size=1
1{
2 "impact_price": "30130.15",
3 "market": "BTC-USD-PERP",
4 "side": "BUY",
5 "size": "0.05"
6}
Was this page helpful?
Previous

Get market interactive orderbook

Next
Built with

Path parameters

marketstringRequired

Market symbol - ex: BTC-USD-PERP

Query parameters

sizeintegerRequired
Size

Response

OK
impact_pricestring
The calculated impact price
marketstring
Symbol of the market
sidestring

Trade side (BUY or SELL)

sizestring
Size of the order

Errors

400
Bad Request Error